<template>
  <div class="collapse-con">
    <div class="collapse-con-list" v-for="(items,index) in colArray">
      <h3 class="collapse-tit arrow" :ref="'sTitle'+index" @click="showNext(index)">
        <span class="num-collapse">{{"0"+(index+1)}}</span>
        <span class="section-name">{{items.sectionName}}</span>
      </h3>
      <div class="collapse-container" :ref="'second'+index" :class="{hide:isNext}">
        <div class="collapse-content" v-for="(item,subIndex) in items.knowledges" >
          <div class="collapse-sub-tit arrow" @click="showSubNext(index,subIndex)" :ref="'tTitle'+index+subIndex">
            <span class="section-name">{{item.knowledgeName}}</span>
          </div>
          <ul class="collapse-list"  :ref="'third'+index+subIndex" :class="{hide:isNext}">
            <li v-for="subItem in item.exercises" @click="getVideo(subItem,item.subjectId)">
              <div class="sub-item-tit">
                {{subItem.exercisesName}}
              </div>

            </li>
          </ul>
      </div>

        <div class="collapse-btn-con" @click="toExercise()">
          <button class="collapse-btn">课堂练习</button>
        </div>
      </div>
    </div>


  </div>

</template>

<script>
  export default {
    name: 'collapse',
    props: {
      colArray: {
        type: Array
      }
    },
    data () {
      return {
        isNext:true
      }
    },
    created(){

    },
    mounted(){

    },
    methods: {
      showNext(i){
        let cls=this.$refs["second"+i][0],
            isHide=cls.className.indexOf("hide")<0,
            eClass=this.$refs["sTitle"+i][0],
            isArrow=eClass.className.indexOf('arrow')<0;
        cls.className=isHide ? "collapse-container hide" :"collapse-container";
        eClass.className=isArrow ? "collapse-tit arrow" :"collapse-tit";
      },
      showSubNext(i,sI){
        let cls=this.$refs["third"+i+sI][0],
          isHide=cls.className.indexOf("hide")<0,
          eClass=this.$refs["tTitle"+i+sI][0],
          isArrow=eClass.className.indexOf('arrow')<0;
        cls.className=isHide ? "collapse-list hide" :"collapse-list";
        eClass.className=isArrow ? "collapse-sub-tit arrow" :"collapse-sub-tit ";
      },
      getVideo(data,sid){
          this.$emit("getVideo",data,sid);
      },
      toExercise(){
          this.$emit("doExercise")
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  @import "../styles/exercise.css";
</style>
